This operation provides support for retrieving all the Variations of a Content Fragment. By default this call will return a maximum of 50 items.
The caller can define other limits suited to their application (see the limit query parameter),
but the limit cannot be higher than 50. To ask for the next set of items pass the value of the cursor
provided in the response to the cursor query parameter.
OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "items": [
- {
- "name": "another",
- "title": "Summit 2023",
- "description": "The Summit 2023 variation",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ],
- "validationStatus": [ ],
- "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "fieldTags": [ ]
}
], - "cursor": "string"
}OK
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Summit 2023",
- "description": "The Summit 2023 variation"
}{- "name": "another",
- "title": "Summit 2023",
- "description": "The Summit 2023 variation",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ],
- "validationStatus": [ ],
- "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "fieldTags": [ ]
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "name": "another",
- "title": "Summit 2023",
- "description": "The Summit 2023 variation",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ],
- "validationStatus": [ ],
- "references": [
- {
- "type": "asset",
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
], - "fieldTags": [ ]
}This operation allows editing a Content Fragment Variation. The changes are passed as JSON Patch documents.
Save conflicts are detected by leveraging conditional HTTP
requests. When a conflict occurs, the server will reply with a 412 response. It becomes the caller's
responsibility to resolve the conflict, either by accepting the values from the server, or by overwriting them.
| If-Match required | string The For more details, please head over to RFC9110. |
OK
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Content Too Large. Indicates that the server is refusing to process a request because the request content is larger than the server is willing or able to process.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
[- {
- "op": "test",
- "path": "/dc:title",
- "value": "old value"
}, - {
- "op": "replace",
- "path": "/dc:title",
- "value": "new value"
}, - {
- "op": "copy",
- "from": "/dc:title",
- "path": "/custom:title"
}
]{- "name": "another",
- "title": "Title has been replaced",
- "description": "The Summit 2023 variation",
- "fields": [
- {
- "type": "text",
- "name": "firstName",
- "multiple": false,
- "values": [
- "IanX"
]
}, - {
- "type": "text",
- "name": "lastName",
- "multiple": false,
- "values": [
- "Provo"
]
}, - {
- "type": "content-reference",
- "name": "profilePicture",
- "multiple": false,
- "values": [
- "/content/dam/wknd-shared/en/contributors/ian_provo.jpg"
]
}, - {
- "type": "date-time",
- "name": "birthDay",
- "multiple": false,
- "values": [ ]
}, - {
- "type": "long-text",
- "name": "biography",
- "multiple": false,
- "mimeType": "text/html",
- "values": [ ]
}, - {
- "type": "enumeration",
- "name": "occupations",
- "multiple": true,
- "values": [
- "Influencer"
]
}
], - "tags": [ ]
}This operation deletes a Content Fragment Variation.
Deletes are based on conditional HTTP
requests. When a conflict occurs, the server will reply with a 412 response.
| If-Match required | string The For more details, please head over to RFC9110. |
No Content
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Precondition Failed. Indicates that one or more conditions given in the request header fields evaluated to false when tested on the server.
Precondition Required. Indicates that the origin server requires the request to be conditional.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "title": "Bad Request",
- "status": 400,
- "detail": "Bad request, please check that you have provided the correct parameters and that they are valid."
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "items": [
- {
- "name": "ian_provo.jpg",
- "fieldName": "profilePicture",
- "type": "asset",
- "path": "/content/dam/wknd-shared/en/contributors/ian_provo.jpg",
- "created": {
- "at": "2023-08-02T16:01:47.765+03:00",
- "by": "admin"
}, - "status": "DRAFT",
- "assetId": "urn:aaid:aem:1fb05fe4-c12b-4f85-b1ca-aa92cdbd6a62",
- "repo:size": 251434,
- "dc:format": "image/jpeg",
- "tiff:ImageWidth": 1152,
- "tiff:ImageHeight": 1152
}
]
}